Subject: Re: bug#33140: 27.0.50; `gnus-posting-styles' sees nil‘message-reply-headers’ variable

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 06 Dec 2018 19:22:17 -0800

Eric Abrahamsen <[email-masked]> writes:

> "N. Jackson" <[email-masked]> writes:
>
>> At 12:54 -0800 on Wednesday 2018-12-05, Eric Abrahamsen wrote:
>>
>>> "N. Jackson" <[email-masked]> writes:
>>>
>
> [...]
>
>>> I will check and see if this changed sometime recently.
>>
>> I haven't been able to convince myself that `message-reply-headers' can
>> ever have worked properly with Gnus posting styles. 
>>
>>> I would say that posting-style configuration could be moved to the
>>> `message-setup-hook',
>>
>> That sounds right, I think. 
>
> The other possibility is: `gnus-configure-posting-styles' adds all its
> actions to `message-setup-hook'. Perhaps the way it's meant to work is:
> g-c-p-s adds *forms* to the message-setup-hook, but those forms aren't
> actually evaluated until the hook is running, at which point we should
> have access to everything we need.

Just noticed that gnus-msg.el doesn't have lexical-binding set to t. I'm
not clever enough to know, without sitting down to think, how that might
affect things, but it's something to look at. Need to go out now,
though...